#
# part of mkp package "veeamcc_tenant"
# see packaged description for details and maintainer
#

group = "checkparams"

register_check_parameters(
    subgroup_applications,
    "veeamcc_tenant_cloudjobs",
    "Job",
    Dictionary(
    help = _("Deploy plugin veeamcc_tenant.ps1 to detect this."),
        elements = [
        ("exceed",
          Tuple(
            title = _("Allow Backup Count exceed VM count. Attention: your provider will charge for Backup Count. Set all to 0 to force alignment."),
            elements = [
                Integer(title = _("Warning: VM count plus"), default_value = 0),
                Integer(title = _("Critical: VM count plus"), default_value = 5)
            ]
          )
        ),
        ("delta",
              Integer(title = _("Count Mismatch"), default_value = 0),
        ),
        ("age",
          Tuple(
            title = _("Backup Age (set all to 0 to disable age check)"),
            elements = [
                Age(title = _("Warning if older than"), default_value = 90000),
                Age(title = _("Critical if older than"), default_value = 172800)
            ]
          )
        ),
        ]),
    TextAscii(
        title = _("Job"),
    ),
    "dict"
)

register_check_parameters(
    subgroup_applications,
    "veeamcc_tenant_cloudrepo",
    "Repository",
    Dictionary(
    help = _("Deploy plugin veeamcc_tenant.ps1 to detect this."),
        elements = [
        ("usedpercentage",
          Tuple(
            title = _("Usage of Cloud Connect Repository"),
            elements = [
                Percentage(title = _("Warning level:"), default_value = 75),
                Percentage(title = _("Critical level:"), default_value = 90)
            ]
          )
        ),
        ]),
    TextAscii(
        title = _("Repository"),
    ),
    "dict"
)


group = "agents/" + _("Agent Plugins")

register_rule(group,
    "agent_config:veeamcc_tenant",
    DropdownChoice(
        title = _("deploy plugin for VEEAM Cloud Connect tenant"),
        choices = [
            ( {},   _("Deploy veeamcc_tenant plugin") ),
            ( None, _("Do not deploy veeamcc_tenant plugin") ),
        ]
    )
)

